com.lowagie.text.pdf

## Class PdfAppearance

- java.lang.Object
- - com.lowagie.text.pdf.PdfContentByte
  - - com.lowagie.text.pdf.PdfTemplate
    - - com.lowagie.text.pdf.PdfAppearance

-     public class PdfAppearance
      extends PdfTemplate

  Implements the appearance stream to be used with form fields..

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfContentByte

      `PdfContentByte.GraphicState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashMap` | `stdFieldFontNames`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfTemplate

      `bBox, group, layer, matrix, pageResources, thisReference, type, TYPE_IMPORTED, TYPE_PATTERN, TYPE_TEMPLATE`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfContentByte

      `ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, content, layerDepth, LINE_CAP_BUTT, LINE_CAP_PROJECTING_SQUARE, LINE_CAP_ROUND, LINE_JOIN_BEVEL, LINE_JOIN_MITER, LINE_JOIN_ROUND, pdf, separator, state, stateList, TEXT_RENDER_MODE_CLIP, TEXT_RENDER_MODE_FILL, TEXT_RENDER_MODE_FILL_CLIP, TEXT_RENDER_MODE_FILL_STROKE, TEXT_RENDER_MODE_FILL_STROKE_CLIP, TEXT_RENDER_MODE_INVISIBLE, TEXT_RENDER_MODE_STROKE, TEXT_RENDER_MODE_STROKE_CLIP, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfAppearance()` Creates a `PdfAppearance`.
    `PdfAppearance(PdfIndirectReference iref)`
    `PdfAppearance(PdfWriter wr)` Creates new PdfTemplate

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PdfAppearance` | `createAppearance(PdfWriter writer, float width, float height)` Creates a new appearance to be used with form fields.
    `(package private) static PdfAppearance` | `createAppearance(PdfWriter writer, float width, float height, PdfName forcedName)`
    `PdfContentByte` | `getDuplicate()` Gets a duplicate of this `PdfTemplate`.
    `void` | `setFontAndSize(BaseFont bf, float size)` Set the font and the size for the subsequent text writing.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfTemplate

      `beginVariableText, createTemplate, createTemplate, endVariableText, getBoundingBox, getFormXObject, getGroup, getHeight, getIndirectReference, getLayer, getMatrix, getPageResources, getResources, getType, getWidth, setBoundingBox, setGroup, setHeight, setLayer, setMatrix, setWidth`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfContentByte

      `add, addAnnotation, addImage, addImage, addImage, addImage, addOutline, addPSXObject, addTemplate, addTemplate, addTemplateReference, arc, beginLayer, beginMarkedContentSequence, beginMarkedContentSequence, beginMarkedContentSequence, beginText, bezierArc, checkNoPattern, checkWriter, circle, clip, closePath, closePathEoFillStroke, closePathFillStroke, closePathStroke, concatCTM, createAppearance, createAppearance, createGraphics, createGraphics, createGraphics, createGraphics, createGraphicsShapes, createGraphicsShapes, createPattern, createPattern, createPattern, createPattern, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphicsShapes, createPrinterGraphicsShapes, createTemplate, createTemplate, curveFromTo, curveTo, curveTo, drawButton, drawRadioField, drawTextField, ellipse, endLayer, endMarkedContentSequence, endText, eoClip, eoFill, eoFillStroke, escapeString, escapeString, fill, fillStroke, getCharacterSpacing, getEffectiveStringWidth, getHorizontalScaling, getInternalBuffer, getKernArray, getLeading, getPdfDocument, getPdfWriter, getRootOutline, getWordSpacing, getXTLM, getYTLM, lineTo, localDestination, localGoto, moveText, moveTextWithLeading, moveTo, newlineShowText, newlineShowText, newlineText, newPath, outputColorNumbers, paintShading, paintShading, rectangle, rectangle, remoteGoto, remoteGoto, reset, reset, resetCMYKColorFill, resetCMYKColorStroke, resetGrayFill, resetGrayStroke, resetRGBColorFill, resetRGBColorStroke, restoreState, roundRectangle, sanityCheck, saveState, setAction, setCharacterSpacing, setCMYKColorFill, setCMYKColorFillF, setCMYKColorStroke, setCMYKColorStrokeF, setColorFill, setColorFill, setColorStroke, setColorStroke, setDefaultColorspace, setFlatness, setGrayFill, setGrayStroke, setGState, setHorizontalScaling, setLeading, setLineCap, setLineDash, setLineDash, setLineDash, setLineDash, setLineJoin, setLineWidth, setLiteral, setLiteral, setLiteral, setMiterLimit, setPatternFill, setPatternFill, setPatternFill, setPatternStroke, setPatternStroke, setPatternStroke, setRGBColorFill, setRGBColorFillF, setRGBColorStroke, setRGBColorStrokeF, setShadingFill, setShadingStroke, setTextMatrix, setTextMatrix, setTextRenderingMode, setTextRise, setWordSpacing, showText, showText, showTextAligned, showTextAlignedKerned, showTextKerned, size, stroke, toPdf, toString, transform, variableRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### stdFieldFontNames

          public static final java.util.HashMap stdFieldFontNames

  - ### Constructor Detail

    - #### PdfAppearance

          PdfAppearance()

      Creates a `PdfAppearance`.

    - #### PdfAppearance

          PdfAppearance(PdfIndirectReference iref)

    - #### PdfAppearance

          PdfAppearance(PdfWriter wr)

      Creates new PdfTemplate
      Parameters:
        `wr` - the `PdfWriter`

  - ### Method Detail

    - #### createAppearance

          public static PdfAppearance createAppearance(PdfWriter writer,
                                       float width,
                                       float height)

      Creates a new appearance to be used with form fields.
      Parameters:
        `writer` - the PdfWriter to use
        `width` - the bounding box width
        `height` - the bounding box height
      Returns:
        the appearance created

    - #### createAppearance

          static PdfAppearance createAppearance(PdfWriter writer,
                                       float width,
                                       float height,
                                       PdfName forcedName)

    - #### setFontAndSize

          public void setFontAndSize(BaseFont bf,
                            float size)

      Set the font and the size for the subsequent text writing.
      Overrides:
        `setFontAndSize` in class `PdfContentByte`
      Parameters:
        `bf` - the font
        `size` - the font size in points

    - #### getDuplicate

          public PdfContentByte getDuplicate()

      Description copied from class: `PdfTemplate`
      Gets a duplicate of this `PdfTemplate`. All the members are copied by reference but the buffer stays different.
      Overrides:
        `getDuplicate` in class `PdfTemplate`
      Returns:
        a copy of this `PdfTemplate`